Page MenuHomePhabricator

Requesting shell access and access to groups 'analytics-privatedata-users' and 'researchers' for Mpany
Closed, ResolvedPublic

Description

Hi, I need shell access as well as access to 'analytics-privatedata-users' and 'researchers' to work with fundraising's banner history data.

Original ticket describing need for access: https://phabricator.wikimedia.org/T139764

Username: Mpany
Public key:
ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDbRaAUzTfgxalgYGZ7ztelMGXC7vDJ4VwFtFlMt9IvApeYViRh+eIwcr2+94cwextv5fuFD/UWAhk38KKsEnr2SDu1BhTeqlXM1Tfibb8vfq5SrUXzANh61HgqAt9XIyWPXhOFGBJWGZKIHE9DJaDZn5xCmkwz+KPe0smxa0QLHgJTs/Z0sHYu5wcJYPQ/D+b1lBQAPHMUzCIDz8t6ctFysb/pPubX7kbnILao+Q60D7L85+6jgPx2mGFHfsv4LiZP80BhsbrLjwOpuILy3A8jS9aJ9WI0q6Yap9vuRXa8D0DNiymeoGo5X6ye0vdtfe4NZuV9eru3BWBjbSFmRwXP MJP@MJPwork.local

@MeganHernandez_WMF Could you approve access?

Event Timeline

Mpany created this task.Jul 14 2016, 6:50 PM
Restricted Application added a project: Operations. · View Herald TranscriptJul 14 2016, 6:50 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Restricted Application removed a subscriber: Zppix. · View Herald TranscriptJul 15 2016, 9:06 AM

@Mpany there's a poorly explained step in the sign up process, which is that you also need a wikitech/labs user--this process generates your UID. Can you go there "Join Wikitech" toward the bottom, and add the user info to this ticket?

https://wikitech.wikimedia.org/wiki/Special:UserLogin

Mpany added a comment.Jul 18 2016, 8:23 PM

@Jgreen: thanks for explaining!

wikitech username: Mpany
shell account name: mpany

Do you need anything else?

Change 299702 had a related patch set uploaded (by Dzahn):
admin: create shell account for mpany

https://gerrit.wikimedia.org/r/299702

Change 299702 merged by Dzahn:
admin: create shell account for mpany

https://gerrit.wikimedia.org/r/299702

elukey added a subscriber: elukey.Jul 20 2016, 12:27 PM

Do you need anything else?

Yes we'd need manager's approval in this task to proceed, thanks!

Approved, thank you!

Change 300088 had a related patch set uploaded (by Dzahn):
admin: add mpany to analytics-privatedata-users,researchers

https://gerrit.wikimedia.org/r/300088

Change 300088 merged by Dzahn:
admin: add mpany to analytics-privatedata-users,researchers

https://gerrit.wikimedia.org/r/300088

Dzahn added a subscriber: Dzahn.EditedJul 20 2016, 9:25 PM

on bast1001:

Notice: /Stage[main]/Admin/Admin::Hashuser[mpany]/Admin::User[mpany]/User[mpany]/ensure: created

user mpany has been created on bast1001 and will be created on other hosts using the requested admin groups once puppet ran on them.. in about half an hour

@Jgreen

Dzahn added a comment.Jul 20 2016, 9:30 PM

@MeganHernandez_WMF thanks for approving. user has been created now

@Mpany You should be able to SSH to our "bastion hosts" now. there are 4 of them. bast1001, bast2001, bast3001 and bast4001.wikimedia.org

https://wikitech.wikimedia.org/wiki/Bastion

You will have to configure your ssh client to connect via the bastion hosts to any servers in our internal network. Here are some hints for how to do that:

https://wikitech.wikimedia.org/wiki/Production_shell_access

@Jgreen Are you helping the users how to get the actual data they need for FR purposes?

You will have to configure your ssh client to connect via the bastion hosts to any servers in our internal network. Here are some hints for how to do that:

https://wikitech.wikimedia.org/wiki/Production_shell_access

@Mpany when you create your ~/.ssh/config put the fundraising section above the production section. The way the production section is written on the wikitech page doesn't play well with others, and you'll end up hitting the wrong bastion when accessing fundraising hosts otherwise.

@Jgreen Are you helping the users how to get the actual data they need for FR purposes?

They're probably going to end up working with Ellery and analytics folks to get up to speed on the analytics cluster.

Dzahn claimed this task.Jul 26 2016, 1:53 AM
Dzahn added a subscriber: Jgreen.
Dzahn closed this task as Resolved.Jul 26 2016, 1:56 AM

user has been created on bastion hosts, stat1002 and other places where the group is used

[bast1001:~] $ id mpany
uid=15095(mpany) gid=500(wikidev) groups=500(wikidev),707(bastiononly)

[stat1002:~] $ id mpany
uid=15095(mpany) gid=500(wikidev) groups=500(wikidev),731(analytics-privatedata-users)